> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/case-management/get-case-ai-summary.md).

# Get Case AI Summary

This endpoint allows you to get a case AI summary.

<mark style="color:violet;">`PUT`</mark> `{{baseurl}}/v2/api/cases/:caseId/summary`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

| Field  | Type   | Description           |
| ------ | ------ | --------------------- |
| caseId | String | Unique Id of the case |

{% tabs %}
{% tab title="Get AI Summary Sample Request" %}

```json
{
    "task": "Gather evidences, and add them to the case.",
    "isCompleted": true
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Success Response" %}

```json
{
        "success": true,
        "statusCode": 200,
        "message": "Case summary retrieved successfully!",
        "data": {
            "report": {
                "executive_summary": "The case involves a significant KYC data mismatch between the client's NIN and BVN, indicating potential identity issues. The severity is classified as high due to the discrepancies in identification data. It is recommended to file a SAR to address the potential risks associated with this entity.",
                "entity_profile": {
                    "name": "",
                    "registration_location": "",
                    "industry": "",
                    "account_opening_date": "",
                    "expected_annual_volume": "",
                    "risk_indicators": [
                        {
                            "label": "KYC Data Mismatch",
                            "level": "high"
                        }
                    ],
                    "key_findings": [
                        "Complete mismatch between NIN and BVN data."
                    ]
                },
                "transaction_analysis": {
                    "total_volume_usd": 0,
                    "transaction_count": 0,
                    "average_transaction_size_usd": 0,
                    "investigation_period_days": 0,
                    "baseline_comparison_pct": 0,
                    "pattern_indicators": [],
                    "suspicious_activity_indicators": []
                },
                "suspicious_activity_determination": "The identified KYC data mismatch raises concerns about the legitimacy of the client's identity, which is consistent with known money laundering typologies that involve identity fraud.",
                "recommended_action": "SAR Filing"
            }
        },
        "links": []
    }
```

{% endtab %}

{% tab title="Error Response" %}

```json
HTTP/1.1 404 NotFound
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/case-management/get-case-ai-summary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
